<?php 
namespace Teknisa\MAN\Controllers\DataExporterImpl\ReportHandlers;

use Zeedhi\Framework\DTO\Response;

class DescontosConcedidosReportHandler extends AReportHandler {
    const ANALITICO = 'vnd55007_relDescConcedidosExport';
    const SINTETICO = 'vnd55007_relDescConcedidos_SinteticoDataExporter';
    
    public function buildNewRequest($request, Response $response) {
        $conditions = $this->relService->getParamsAsArray($request);
            
        $this->relService->setTCDandCDChangingKey($conditions,     'CDFILIAL',  'CDFILIAL');
        $this->relService->setIntervalAsDTINIandDTFIM($conditions, 'DTENTRVENDA', 'DTINI', 'DTFIM');
        
        if($conditions['TIPORELATORIO'] == 'A'){
            unset($conditions['NRORG']);
            $newRequest = $this->relService->createNewZeedhiFilterRequestObject($request, self::ANALITICO, $conditions);
        }
        else{
            unset($conditions['NRORG']);
            $newRequest = $this->relService->createNewZeedhiFilterRequestObject($request, self::SINTETICO, $conditions);
        }
        
        return [$newRequest, $response];
    }
}